Subject: bug#56567: [BUG] Gnome doesn't recognize applications path for flatpak

From: Jacob Hrbek <[email-masked]>
Date: Sun, 17 Jul 2022 06:03:16 +0000

Why is making a user configuration saner in comparison to making it work 
out of the box?

On 15. 07. 22 10:17, Liliana Marie Prikler wrote:
> Am Freitag, dem 15.07.2022 um 01:07 +0000 schrieb Jacob Hrbek:
>> Steps to reproduce:
>> 1. Install any flatpak app from a GNOME environment
>> 2. Try to launch the app from activities  (the gnome menu accessible
>> through super-key) and expect it to not find it
>>
>> To fix this i was told that the path
>> `~/.local/share/flatpak/exports/share/applications` has to be
>> appended in the environmental variable XDG_DATA_DIRS
> Then why don't you simply do so?  Unlike certain distributions *cough*
> Ubuntu *cough*, Guix System depends on neither Flatpak nor Snap to
> offer "containerized" applications.  This configuration is thus yours
> to make.  If your problem is that there's no Guix Home service to do
> so, then fair enough, but assuming a regularly managed bash_profile,
> that line should be easy enough to add (and more importantly how to add
> it should be documented by Flatpak – if not, that's their issue).

-- 
-- Jacob Hrbek #StandWithUkraine